#!/bin/bash

SOFTNAME=vps-control
DESC="$SOFTNAME subcommands script"
ENVIRONMENT_FILE=/var/lib/vps-control/systemd/vps-control-slave-systemd.environment
SERVICE_NAME=vps-control-slave-systemd.service
SCRIPTNAME=/usr/lib/vps-control/systemd/$(basename $0)

COMMAND_IN=$1

RET_VAL=0

case "$1" in
  start)
        /bin/systemctl $1 ${SERVICE_NAME}
        RET_VAL=$?
        ;;
        
  stop)
        /bin/systemctl $1 ${SERVICE_NAME}
        RET_VAL=$?
        ;;

  reload)
        /bin/systemctl $1 ${SERVICE_NAME}
        RET_VAL=$?
        ;;
        
  suspend)
        /bin/echo "SUB_COMMAND=suspend" > ${ENVIRONMENT_FILE}
        /bin/systemctl stop ${SERVICE_NAME}
        /bin/echo "SUB_COMMAND=resume" > ${ENVIRONMENT_FILE}
        RET_VAL=$?
        ;;
        
  resume)
        /bin/echo "SUB_COMMAND=resume" > ${ENVIRONMENT_FILE}
        /bin/systemctl start ${SERVICE_NAME}
        /bin/echo "SUB_COMMAND=false" > ${ENVIRONMENT_FILE}
        RET_VAL=$?
        ;;

  *)
        echo "Usage: $SCRIPTNAME {start|stop|reload|resume|suspend}" >&2
        exit 3
        ;;
esac

exit ${RET_VAL}
